/****************************************
 * Gulp Task: icon-fonts
 * --------------------------------------
 *
 * Create icon fonts from several SVG icons
 *
 * @author Christopher B. Dowell
 */
'use strict';

var gulp        = require( 'gulp' );
var config      = require( '../../config/config' );

var plugins     = require( "gulp-load-plugins" )({
                            pattern                 : [ 'gulp-*', 'gulp.*' ],
                            camelize                : true,
                            lazy                    : true
                        });

gulp.task( 'fonts:icons', function() {

    gulp.src( config.srcPaths )

    .pipe( plugins.iconfont( config.iconFontPluginOptions ))

    .on( 'codepoints', function( codepoints, options ) {
        
        gulp.src( 'src/assets/templates/_icons.scss' )
          
            .pipe( consolidate( 'lodash', {
                glyphs                              : codepoints,
                fontName                            : 'dynaware-icons',
                fontPath                            : '../fonts/icons/',
                className                           : 'dynaware-icons'
            }))
          
            .pipe( rename( '_icons.scss' ) )
            .pipe( gulp.dest( 'src/assets/sass/' ) )
    })

    .pipe( plugins.size() )

    .pipe( gulp.dest( config.buildDir ) );

});