/****************************************
 * DynaWare Gulp Assets Config Tests
 * --------------------------------------
 *
 * @author Christopher B. Dowell
 */
'use strict';

var should            = require('chai').should();

var assetsConfig      = require('../../../config/assets/assets');
var globals           = require('../../../globals');

describe('test assets tasks', function() {

    it('should get scripts task', function() {
        assetsConfig.getScriptsTask().should.equal( globals.scriptsTask );
    });

    it('should get styles task', function() {
        assetsConfig.getStylesTask().should.equal( globals.stylesTask );
    });

});

describe('test assets directories', function() {

    it('should get assets source directory', function() {
        assetsConfig.getAssetsSrcDir().should.equal( 'src/assets' );
    });

    it('should get assets build directory', function() {
        assetsConfig.getAssetsBuildDir().should.equal( 'build/assets' );
    });

});