/****************************************
 * DynaWare Gulp Config Tests
 * --------------------------------------
 *
 * @author Christopher B. Dowell
 */
'use strict';

var should            = require('chai').should();

var globals           = require('../globals');

describe( 'test global values', function() {

    it('should get global name/value', function() {

        globals.src.should.equal( 'src' );
        globals.build.should.equal( 'build' );
        globals.assets.should.equal( 'assets' );
        globals.svg.should.equal( 'svg' );
        globals.images.should.equal( 'images' );
        globals.sass.should.equal( 'sass' );
        globals.scripts.should.equal( 'scripts' );
        globals.html.should.equal( 'html' );
        globals.fonts.should.equal( 'fonts' );
        globals.css.should.equal( 'css' );
        globals.templates.should.equal( 'templates' );
        globals.icons.should.equal( 'icons' );
        
    });

});

describe( 'test global core task names', function() {

    it('should get global core deafult task name', function() {
        globals.defaultTask.should.equal( 'default' );
    });

    it('should get global core build task name', function() {
        globals.buildTask.should.equal( 'build' );
    });

    it('should get global core help task name', function() {
        globals.helpTask.should.equal( 'help' );
    });

    it('should get global core test task name', function() {
        globals.testTask.should.equal( 'test' );
    });

    it('should get global core clean task name', function() {
        globals.cleanTask.should.equal( 'clean' );
    });

    it('should get global core publish task name', function() {
        globals.publishTask.should.equal( 'publish' );
    });

});

describe( 'test global assets task names', function() {

    it('should get global assets images task name', function() {
        globals.imagesTask.should.equal( 'images' );
    });

    it('should get global assets scripts task name', function() {
        globals.scriptsTask.should.equal( 'scripts' );
    });

    it('should get global assets styles task name', function() {
        globals.stylesTask.should.equal( 'styles' );
    });

});